curs_getyx(3X)

NAME
getyx, getparyx, getbegyx, getmaxyx - get curses cursor and window coordinates

SYNOPSIS
#include <ncurses.h>

void getyx(WINDOW *win, int y, int x);
void getparyx(WINDOW *win, int y, int x);
void getbegyx(WINDOW *win, int y, int x);
void getmaxyx(WINDOW *win, int y, int x);

DESCRIPTION
The getyx macro places the current cursor position of the given window in the two integer variables y and x.

If win is a subwindow, the getparyx macro places the beginning coordinates of the subwindow relative to the parent window into two integer variables y and x. Otherwise, -1 is placed into y and x.

Like getyx, the getbegyx and getmaxyx macros store the current beginning coordinates and size of the specified window.

RETURN VALUE
The return values of these macros are undefined (i.e., they should not be used as the right-hand side of assignment statements).

NOTES
All of these interfaces are macros. A "&" is not necessary before the variables y and x.

PORTABILITY
The getyx, getparyx, getbegyx and getmaxyx macros are described in the XSI Curses standard, Issue 4.

This implementation also provides getbegx, getbegy, getcurx, getcury, getmaxx, getmaxy, getparx and getpary for compatibility with older versions of curses. X/Open does not define a corresponding getcuryx function, though that would be needed to make references to the WINDOW structure opaque.

SEE ALSO
curses(3X)